[SciPy-dev] could anyone check nlp_3.py from updated scikits.openopt?

Dave dave.hirschfeld@gmail....
Sun Mar 9 15:41:34 CDT 2008


dmitrey <dmitrey.kroshko <at> scipy.org> writes:

> Could anyone update openopt from svn and run
> (after "sudo python setup.py install")
> examples/nlp_3.py ?

I updated openopt from svn to rev. 896 and installed it with python setup.py
install.

Running the nlp_3.py script raises an exception suggesting that the solver ralg
may not be installed. I'm not sure if I needed to do anything else with the
install although I don't believe I had to previously.

HTH,
Dave



Python 2.5.1 (r251:54863, Apr 18 2007, 08:51:08) [MSC v.1310 32 bit (Intel)]
IPython 0.8.2.svn.r2848 -- An enhanced Interactive Python.

In [1]: run -i nlp_3.py
OO Error:incorrect solver is called, maybe the solver "ralg" is not installed
---------------------------------------------------------------------------
OpenOptException                          Traceback (most recent call last)

C:\src\openopt\scikits\openopt\examples\nlp_3.py in <module>()
     36         p.connectIterFcn('df')
     37
---> 38     r = p.solve(solver)
     39     results[solver] = (r.ff, p.getMaxResidual(r.xf), r.elapsed['solver_t
ime'], r.elapsed['solver_cputime'], r.evals['f'], r.evals['c'], r.evals['h'])
     40     subplot(2,1,1)

c:\python25\lib\site-packages\scikits\openopt\Kernel\BaseProblem.py in solve(sel
f, solvers, *args, **kwargs)
    229
    230     def solve(self, solvers, *args, **kwargs):
--> 231         return runProbSolver(self, solvers, *args, **kwargs)
    232
    233     def auxFunc(self, x, *args, **kwargs):

c:\python25\lib\site-packages\scikits\openopt\Kernel\runProbSolver.py in runProb
Solver(p_, solver_str, *args, **kwargs)
     23         solverClass = getattr(__import__(solver_str), solver_str)
     24     except:
---> 25         p.err('incorrect solver is called, maybe the solver "' + solver_
str +'" is not installed')
     26
     27     p.solver = solverClass()

c:\python25\lib\site-packages\scikits\openopt\Kernel\oologfcn.py in ooerr(msg)
     14 def ooerr(msg):
     15     print 'OO Error:' + msg
---> 16     raise OpenOptException(msg)
     17
     18 def ooPWarn(msg):

OpenOptException: incorrect solver is called, maybe the solver "ralg" is not ins
talled
WARNING: Failure executing file: <nlp_3.py>


In [2]: import numpy; numpy.__version__
Out[2]: '1.0.3.1'

In [3]: import scipy; scipy.__version__
Out[3]: '0.7.0.dev3498'

In [4]: from scikits import openopt; openopt.__version__
Out[4]: '0.15'






More information about the Scipy-dev mailing list